using system
namespace Takmicenje_pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N, L, Hi;

            Hi = Convert.ToInt32(Console.ReadLine());
            L = Convert.ToInt32(Console.ReadLine());

            if (Hi < L)
                N = 3;
            else
            {
                N = -1;
            }

            Console.WriteLine(N);
        }
    }
}